Subject: Re: bug#64186: Patch: Suppress deprecated '-gdb-set target-async' warning message in gdb-mi.el

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Jun 2023 16:12:12 +0300

merge 64186 63084
thanks

> From: Wang Diancheng <[email-masked]>
> Date: Wed, 21 Jun 2023 14:49:01 +0800
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> 于2023年6月20日周二 19:55写道：
> >
> > Given all that mess, I wonder if "M-x gdb" in its current shape indeed
> > supports the asynchronous execution.  If it doesn't, we may be better
> > off not sending that command at all for now, until bug#63084 is fixed.
> 
> Yes, I agree. Currently gdb-mi doesn't actually support asynchronous
> execution because of bug#63084. Before it is fixed, to suppress the
> annoying warning, we can set gdb-non-stop-setting to nil as a
> workaround.

Thanks, I've now done so on the emacs-29 branch.  I will leave this
bug open (and merge it to bug#63084), so that they could be fixed in
the future, hopefully not too distant future.